// $Author: tej $
// $Date: 1999/06/17 02:30:34 $
// $Header: /home/tej/drdobbs/RCS/bezier.h,v 1.8 1999/06/17 02:30:34 tej Exp $
// $Id: bezier.h,v 1.8 1999/06/17 02:30:34 tej Exp $
// $Locker:  $
// $Log: bezier.h,v $
// Revision 1.8  1999/06/17 02:30:34  tej
// use name "silhouette"
//
// Revision 1.7  1999/06/12 21:09:54  tej
// works slow
//
// Revision 1.6  1999/06/12 19:43:39  tej
// works but slow
//
// Revision 1.5  1999/06/12 19:13:59  tej
// removed arrays from room.cpp
//
// Revision 1.4  1999/06/12 03:30:51  tej
// namespaces, cleanup
//
// Revision 1.3  1999/06/09 01:56:01  tej
// checkin
//
// Revision 1.2  1999/06/06 21:51:14  tej
// includes all differentials and normalization, results uneven
//
// Revision 1.1  1999/06/06 02:57:27  tej
// Initial revision
//
//
// $Name:  $
#if !defined(BEZIER_LOADED)
#define BEZIER_LOADED

#include <GL/glut.h>

#include "room.h"

const size_t MAX_POINTS = 16;
const size_t DIM_QTY = 4;
const size_t DIM_3D = 3;

typedef GLdouble bezier_type[MAX_POINTS][4];

void bezier(bezier_type points, const dbl_vec_type LookAtEyeV);

extern bool isoparm, silhouette;

#endif
