// $Author: tej $
// $Date: 1999/06/18 03:12:28 $
// $Header: /home/tej/drdobbs/RCS/roomutil.cpp,v 1.2 1999/06/18 03:12:28 tej Exp $
// $Id: roomutil.cpp,v 1.2 1999/06/18 03:12:28 tej Exp $
// $Locker:  $
// $Log: roomutil.cpp,v $
// Revision 1.2  1999/06/18 03:12:28  tej
// fix most normals
//
// Revision 1.1  1999/06/06 02:57:46  tej
// Initial revision
//
//
// $Name:  $

#include <GL/glut.h>
#include <math.h>
#include <ctype.h>
#include <assert.h>
#include "roomutil.h"

void cross(const GLdouble a[3], const GLdouble b[3], const GLdouble c[3],
                  GLdouble n[3])
{
  size_t ctr, ctr1, ctr2;
  GLdouble x[3], y[3], mag;
  for (ctr = 0; ctr < 3; ++ctr) {
    x[ctr] = a[ctr] - b[ctr];
    y[ctr] = c[ctr] - b[ctr];
  }
  for (ctr = 0; ctr < 3; ++ctr) {
    ctr1 = (ctr + 1) % 3;
    ctr2 = (ctr + 2) % 3;
    n[ctr] = x[ctr1] * y[ctr2] - x[ctr2] * y[ctr1];
  }
  mag = sqrt(n[0] * n[0] + n[1] * n[1] + n[2] * n[2]);
  for (ctr = 0; ctr < 3; ++ctr) {
    n[ctr] /= mag;
  }
}
