import java.multimedia.animationSequencer;

// As Fast As Possible Sequencer will always increment
// the animation sequence to the next frame as soon as
// the incrementFrame method is called regardless of
// fps or any other specifications.
public class afapSequencer extends animationSequencer {
  
  afapSequencer(int numFrames) {
    super(numFrames);
  }
  
  public int incrementFrame(int[] triggers) {
    m_currentFrame = (m_currentFrame + 1) % m_numFrames;
    return m_currentFrame;
  }
}