package java.multimedia;

abstract public class animationSequencer extends Object {
  
  // Protected variables are not accessible in a different package
  protected int m_numFrames;
  protected int m_currentFrame;
  
  // default constructor needs to know how many total
  // frames are in the animation.
  public animationSequencer(int numFrames) {
    m_numFrames = numFrames;
  }
  
  // Derive class to define specialized animation Sequencing
  // for self animating sprites.  The interface allows multiple
  // integer triggers or state parameters to feed the logic
  // as necessary
  public abstract int incrementFrame(int[] triggers);
}