// storchDlg.h : header file
//

#if !defined(AFX_STORCHDLG_H__95784FC6_2259_11D3_A77B_00207815827F__INCLUDED_)
#define AFX_STORCHDLG_H__95784FC6_2259_11D3_A77B_00207815827F__INCLUDED_

#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000

/////////////////////////////////////////////////////////////////////////////
// CStorchDlg dialog

class CStorchDlg : public CDialog
{
	CString file;
	UINT devid, rdevid;
	DWORD timer;

	void PlayFile();
	void CloseFile();
	void CloseRecordDevice();

// Construction
public:
	CStorchDlg(CWnd* pParent = NULL);	// standard constructor

// Dialog Data
	//{{AFX_DATA(CStorchDlg)
	enum { IDD = IDD_STORCH_DIALOG };
	CButton	m_Playback;
	CButton	m_Record;
	CButton	m_Play;
	CListBox	m_Phrases;
	//}}AFX_DATA

	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CStorchDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support
	virtual LRESULT DefWindowProc(UINT message, WPARAM wParam, LPARAM lParam);
	//}}AFX_VIRTUAL

// Implementation
protected:
	HICON m_hIcon;

	// Generated message map functions
	//{{AFX_MSG(CStorchDlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnSysCommand(UINT nID, LPARAM lParam);
	afx_msg HCURSOR OnQueryDragIcon();
	afx_msg void OnDestroy();
	afx_msg void OnAddfile();
	afx_msg void OnPlayfile();
	afx_msg void OnDeletefile();
	afx_msg void OnTimer(UINT nIDEvent);
	afx_msg void OnRecord();
	afx_msg void OnPlayback();
	afx_msg void OnCompare();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Developer Studio will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_STORCHDLG_H__95784FC6_2259_11D3_A77B_00207815827F__INCLUDED_)
