import java.awt.*;
import java.util.*;
import java.multimedia.Sprite;
import afapSequencer;

public class NonOptimizedSaucerMgr extends Object {
  Component component;
  Vector saucers = new Vector(); // Active, drawable objects
  Image  tiledImage;
  Sprite currentSprite;
  
  public NonOptimizedSaucerMgr(Component comp, Image imageSrc) {
    component = comp;
    tiledImage = imageSrc;
    add(true); add(true); add(true); add(true); add(true); add(true); add(true); add(true);
    add(true); add(true); add(true); add(true); add(true); add(true); add(true); add(true);
    add(true); add(true); add(true); add(true); add(true); add(true); add(true); add(true);
    add(true); add(true); add(true); add(true); add(true); add(true); add(true); add(true);
    add(true); add(true); add(true); add(true); add(true); add(true); add(true); add(true);
  }
  
  public void updateAll() {
    long time = (new Date()).getTime();
    for (int i = 0; i < saucers.size(); ++i) {
      currentSprite = (Sprite)saucers.elementAt(i);
      currentSprite.update(time);
      if (currentSprite.expired) {
        saucers.removeElementAt(i);
        add(false);
      }
    }
  }
    
  public void drawAll(Graphics g) {
      for (int i = 0; i < saucers.size(); ++i)
      ((Sprite)saucers.elementAt(i)).draw(false,g);
  }
  
  public int size() {
    return saucers.size();
  }
  
  public int add(boolean forceNew) {
    Sprite s;
    
      s = new Sprite(new afapSequencer(11), 37, 23);
      s.reset(component, tiledImage,
              (int)(Math.random()*200.0),
              (int)(Math.random()*200.0),
              (Math.random()-0.4)/3.0,
              (Math.random()-0.4)/3.0);
      saucers.addElement(s);

      return (saucers.size()-1);
  }
  
  public void remove() {
    int tmp = saucers.size();
    // At least remove from the end so there is no memory shift needed.
    if (tmp > 1) {
      ((Sprite)saucers.elementAt(tmp-1)).expired=true;
	    saucers.removeElementAt(tmp-1);
    }
  }
}