VERSION 5.00
Object = "{6B7E6392-850A-101B-AFC0-4210102A8DA7}#1.2#0"; "COMCTL32.OCX"
Begin VB.Form Form1
   Caption         =   "HopTree V 1.3                 (C) 1998/99 F.Hwing (mail@frank-hoewing.de)"
   ClientHeight    =   10230
   ClientLeft      =   3720
   ClientTop       =   690
   ClientWidth     =   7545
   LinkTopic       =   "Form1"
   ScaleHeight     =   10230
   ScaleWidth      =   7545
   Begin VB.CheckBox CheckInst
      Caption         =   "instance names"
      Height          =   255
      Left            =   5790
      TabIndex        =   10
      ToolTipText     =   "if checked, the operator's unique instance name is displayed"
      Top             =   3195
      Width           =   1455
   End
   Begin VB.CheckBox CheckOp
      Caption         =   "operator names"
      Height          =   255
      Left            =   4140
      TabIndex        =   9
      ToolTipText     =   "if checked, the name of an operator is displayed"
      Top             =   3195
      Value           =   1  'Aktiviert
      Width           =   1455
   End
   Begin VB.CheckBox CheckAll
      Caption         =   "all operators"
      Height          =   375
      Left            =   480
      TabIndex        =   8
      ToolTipText     =   "If unchecked, only hops are shown"
      Top             =   3120
      Width           =   1215
   End
   Begin VB.CheckBox CheckPrj
      Caption         =   "hop's project"
      Height          =   375
      Left            =   2040
      TabIndex        =   7
      Top             =   3135
      Width           =   1335
   End
   Begin VB.CommandButton ScanConfig
      Caption         =   "Scan this WiT config file:"
      Height          =   375
      Left            =   120
      TabIndex        =   6
      Top             =   120
      Width           =   2055
   End
   Begin VB.TextBox ConfigFile
      Height          =   285
      Left            =   2280
      TabIndex        =   5
      Text            =   "Text1"
      ToolTipText     =   "The .wrc file to be considered in the tree search (can be given on the command line)"
      Top             =   165
      Width           =   5175
   End
   Begin VB.FileListBox File1
      Height          =   1650
      Left            =   3945
      Pattern         =   "*.igr"
      TabIndex        =   3
      ToolTipText     =   "Select an igraph"
      Top             =   1200
      Width           =   3495
   End
   Begin VB.DriveListBox Drive1
      Height          =   315
      Left            =   120
      TabIndex        =   2
      Top             =   720
      Width           =   3615
   End
   Begin VB.DirListBox Dir1
      Height          =   1665
      Left            =   135
      TabIndex        =   1
      Top             =   1200
      Width           =   3615
   End
   Begin ComctlLib.TreeView TreeView1
      Height          =   6375
      Left            =   120
      TabIndex        =   0
      Top             =   3720
      Width           =   7335
      _ExtentX        =   12938
      _ExtentY        =   11245
      _Version        =   327682
      Style           =   7
      ImageList       =   "ImageList1"
      Appearance      =   1
   End
   Begin VB.Frame Frame1
      Caption         =   "Show..."
      Height          =   735
      Left            =   120
      TabIndex        =   11
      Top             =   2880
      Width           =   7335
   End
   Begin ComctlLib.ImageList ImageList1
      Left            =   6840
      Top             =   600
      _ExtentX        =   1005
      _ExtentY        =   1005
      BackColor       =   -2147483643
      ImageWidth      =   16
      ImageHeight     =   16
      MaskColor       =   12632256
      UseMaskColor    =   0   'False
      _Version        =   327682
      BeginProperty Images {0713E8C2-850A-101B-AFC0-4210102A8DA7}
         NumListImages   =   5
         BeginProperty ListImage1 {0713E8C3-850A-101B-AFC0-4210102A8DA7}
            Picture         =   "Form1.frx":0000
            Key             =   "igraph"
         EndProperty
         BeginProperty ListImage2 {0713E8C3-850A-101B-AFC0-4210102A8DA7}
            Picture         =   "Form1.frx":031A
            Key             =   "dir"
         EndProperty
         BeginProperty ListImage3 {0713E8C3-850A-101B-AFC0-4210102A8DA7}
            Picture         =   "Form1.frx":0898
            Key             =   "hop"
         EndProperty
         BeginProperty ListImage4 {0713E8C3-850A-101B-AFC0-4210102A8DA7}
            Picture         =   "Form1.frx":164A
            Key             =   "config"
         EndProperty
         BeginProperty ListImage5 {0713E8C3-850A-101B-AFC0-4210102A8DA7}
            Picture         =   "Form1.frx":1B9C
            Key             =   "missing"
         EndProperty
      EndProperty
   End
   Begin VB.Label Label1
      Height          =   255
      Left            =   960
      TabIndex        =   4
      Top             =   165
      Width           =   1815
   End
End
Attribute VB_Name = "Form1"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
'HopTree V1.3, 19.10.98, F.H"owing, mail@frank-hoewing.de
' V1.24:
' * Missing hops are not scanned. Instead a different image is displayed.
' * Now *all* library .hop files are scanned (bugfix)
' * Operator and/or instance name may me displayed
' V1.1:
' * display hop's project path as TreeView's ToolTip
' * TreeView does resize with window size. MaxSize Button enabled.
'
'==================================================================================
'global variables and fixed-size arrays (urrgh ;-)

Const MaxProject = 100
Const MaxPath = 150

Dim PathList(0 To MaxProject) As String    'project path entries from config file
Dim PLcount                                'number of path entries

Dim iPathList(0 To MaxPath) As String      'igraph path entries from config file
Dim iPLcount                               'number of path entries
Dim iPLcurrent                             'index to "." in list; -1 if there is no "."
Dim HopList(0 To MaxProject, 0 To 500) As String
                                           'hop name = (project, corresponding hop)
Dim HopCount(0 To MaxProject) As Integer   'number of hops for each project

'temp var to handle CheckOp and CheckInst
Dim checkcall As String

Private Sub CheckAll_Click()
    TreeView1.Nodes.Clear
End Sub

Private Sub CheckPrj_Click()
    TreeView1.Nodes.Clear
End Sub

Private Sub CheckOp_Click()
    'At least one of CheckOp and CheckInst has to be enabled.
    'We could set (Inst = not(Op and not Inst)) but setting the value
    ' field causes a Click event. Hence we use the temp var checkcall
    ' to determine whether the user actually clicked or if the code
    ' caused the event.

    If checkcall <> "Inst" Then
        'user clicked
        If CheckOp.Value = 0 And CheckInst.Value = 0 Then
            checkcall = "Op"
            CheckInst.Value = 1
        End If
    End If
    checkcall = "user"

    TreeView1.Nodes.Clear
End Sub

Private Sub CheckInst_Click()
    'at least one of CheckOp and CheckInst has to be enabled

    If checkcall <> "Op" Then
        'user clicked
        If CheckInst.Value = 0 And CheckOp.Value = 0 Then
            checkcall = "Inst"
            CheckOp.Value = 1
        End If
    End If
    checkcall = "user"

    TreeView1.Nodes.Clear
End Sub

Private Sub ConfigFile_Change()
    ConfigFile.ForeColor = RGB(0, 0, 0)
    File1.Enabled = False
End Sub

'this was copied from the Command function example (German version)
'and slightly modified
Function GetCommandLine(Optional MaxArgs)
    ' Variablen deklarieren.
    Dim C, BefZl, BefZlLng, InArg, i, ZahlArgs
    ' Feststellen, ob MaxArgs angegeben wurde.
    If IsMissing(MaxArgs) Then MaxArgs = 10
    ' Datenfeld passender Gre erstellen.
    ReDim ArgFeld(MaxArgs)
    ZahlArgs = 0: InArg = False
    ' Befehlszeilenargumente abrufen.
    BefZl = Command()
    BefZlLng = Len(BefZl)
    ' Befehlszeile Zeichen fr Zeichen
    ' durchgehen.
    For i = 1 To BefZlLng
        C = Mid(BefZl, i, 1)
        ' Auf Leerzeichen oder Tabulatoren prfen.
        If (C <> " " And C <> vbTab) Then
            ' Weder Leerzeichen noch Tabulatoren.
            ' berprfen ob bereits in Argument enthalten.
            If Not InArg Then
            ' Anfang des neuen Arguments.
            ' berprfen, ob zu viele Argumente verwendet wurden.
                If ZahlArgs = MaxArgs Then Exit For
                    ZahlArgs = ZahlArgs + 1
                    InArg = True
                End If
            ' Zeichen dem aktuellem Argument hinzufgen.
            ArgFeld(ZahlArgs) = ArgFeld(ZahlArgs) + C
        Else
            ' Tabulator oder Leerzeichen gefunden.
            ' Das InArg-Attribut auf False festlegen.
            InArg = False
        End If
    Next i
    ' Gre des Datenfeldes neu bestimmen, so da es
    ' gerade alle Argumente aufnehmen kann.
    'ReDim Preserve ArgFeld(ZahlArgs)
    ' Datenfeld in Funktionsnamen zurckgeben.
    GetCommandLine = ArgFeld()
End Function

Private Sub Form_Load()
    Dim ConfigFilename

    'should be replaced by reading the current setting in the registry
    ConfigFilename = GetCommandLine(1)
    If ConfigFilename(1) = "" Then
        'default
        ConfigFile.Text = "c:\wit\config\gui.wrc"
        'ConfigFile.Text = "e:\users\hoewing\wit51\gui.wrc"
    Else
        ConfigFile.Text = ConfigFilename(1)
    End If

    'before an igraph can be loaded, a config file has to be scanned
    File1.Enabled = False

End Sub

Private Sub Dir1_Change()
    File1.Path = Dir1.Path
End Sub

Private Sub Drive1_Change()
    Dir1.Path = Drive1.Drive
End Sub

'scan an igraph's operator tree
Private Sub File1_Click()
    Dim Rootfile
    Dim nodR As Node

    'init
    TreeView1.Nodes.Clear

    Rootfile = File1.Path + "\" + File1.Filename

    'create root node
    Set nodR = TreeView1.Nodes.Add(, , "root", File1.Filename)
    TreeView1.Nodes(nodR.Index).Image = "igraph"
    nodR.Sorted = True
    nodR.EnsureVisible

    'scan tree
    Form1.MousePointer = ccHourglass
    GetOprec nodR, Rootfile

    'done; user may select new igraph or new config file
    ConfigFile.Locked = False
    Form1.MousePointer = ccDefault

End Sub

'Recursively scan operator tree
' nodP : parent node
' Filename : path+name of operator to be scanned
Sub GetOprec(ByVal nodP As Node, ByVal Filename As String)
    Dim nodX As Node
    Dim Fileno
    Dim FLine, InstName, OpName, OutName, Nodetext As String
    Dim Spc1, Spc2, Spc3
    Dim Nextfile
    Dim i
    Dim PrjIndex
    Dim found As Boolean

    'now we know the current igraph and can expand the . in the path list
    If iPLcurrent >= 0 Then
        iPathList(iPLcurrent) = File1.Path
    End If

    'open file
    Fileno = FreeFile
    Open Filename For Input As #Fileno

    'goto next "N" line
    Do While Not EOF(Fileno)
        Line Input #Fileno, FLine
        If Left(FLine, 1) = "N" Then

            'Get 2nd (operator) and 3rd (instance) words in line
            '(surely there's a simpler way to do this...)

            'find 1st space
            Spc1 = InStr(FLine, " ")
            'find 2nd space
            Spc2 = InStr(Spc1 + 1, FLine, " ")

            'Get operator name.
            'Operator names must not contain spaces but may
            'be surrounded by "
            'Get word between those spaces
            OpName = Trim(Mid(FLine, Spc1 + 1, Spc2 - Spc1))
            'remove "s if any
            If Left(OpName, 1) = """" Then
                OpName = Mid(OpName, 2, Len(OpName) - 2)
            End If

            If CheckInst Then
            'User wants instance name.
            'Instance name may be surrounded by ". The name may then
            'contain zero or more spaces.
                'If there is a " then we look for the second "
                If Mid(FLine, Spc2 + 1, 1) = """" Then
                    Spc3 = InStr(Spc2 + 2, FLine, """")
                    'remove the "
                    Spc2 = Spc2 + 1
                    Spc3 = Spc3 - 1
                Else 'we look for another space
                    Spc3 = InStr(Spc2 + 1, FLine, " ")
                End If
                'get word between those delimiters
                InstName = Trim(Mid(FLine, Spc2 + 1, Spc3 - Spc2))
            End If

            'create operator/instance pair
            If CheckOp Then
                If CheckInst Then
                    OutName = InstName + " [" + OpName + "]"
                Else
                    OutName = OpName
                End If
            Else
                OutName = InstName
            End If

            PrjIndex = IsHop(OpName)
            If PrjIndex >= 0 Then  'operator is a hop
                'create subnode
                If CheckPrj.Value Then
                    Nodetext = PathList(PrjIndex)
                    Nodetext = OutName + "  (" + Nodetext + ")"
                Else
                    Nodetext = OutName
                End If
                Set nodX = TreeView1.Nodes.Add(nodP.Index, tvwChild, , Nodetext)
                TreeView1.Nodes(nodX.Index).Image = "hop"
                nodX.Sorted = True
                nodX.EnsureVisible

                'find operator igraph path
                i = 0
                found = False
                Do
                    Nextfile = iPathList(i) + "\" + OpName + ".igr"
                    i = i + 1
                    'If Dir(Nextfile) <> "" Then
                    '    found = True
                    'Else
                    '    found = False
                    'End If
                    found = (Dir(Nextfile) <> "")
                Loop Until found Or (i > iPLcount - 1)

                If found Then
                    'recursive call
                    GetOprec nodX, Nextfile
                Else
                    TreeView1.Nodes(nodX.Index).Image = "missing"
                End If

            Else
                'only draw non-hop if requested
                If CheckAll.Value Then
                    'create subnode
                    Set nodX = TreeView1.Nodes.Add(nodP.Index, tvwChild, , OutName)
                    'TreeView1.Nodes(nodX.Index).Image = ""
                    nodX.EnsureVisible
                End If
            End If
        End If
    Loop

    Close #Fileno

End Sub

Private Sub Form_Resize()
Const wmin = 7335
Const hmin = 2000
Const rborder = 120
Const bborder = 120
Dim w, h

    w = Form1.ScaleWidth - TreeView1.Left - rborder
    If w < wmin Then
        w = wmin
    End If
    h = Form1.ScaleHeight - TreeView1.Top - bborder
    If h < hmin Then
        h = hmin
    End If

    TreeView1.Width = w
    TreeView1.Height = h
End Sub

Private Sub ScanConfig_Click()
'scan config file, create search path list and show it in tree window

    Dim Fileno
    Dim FLine, FName As String
    Dim Pos
    Dim i, j As Integer
    Dim EnvName As String

    Dim nodX As Node

    ConfigFile.Locked = True

    'scan config file
    If Dir(ConfigFile.Text) = "" Then
        'file doesn't exist
        ConfigFile.ForeColor = RGB(255, 0, 0)
        ConfigFile.Locked = False
    Else
        ConfigFile.ForeColor = RGB(255, 255, 0)
        Form1.MousePointer = ccHourglass

        '*** scan "<projpath" lines and build path and hop list
        'open file
        Fileno = FreeFile
        Open ConfigFile.Text For Input As #Fileno

        PLcount = 0
        Do While Not EOF(Fileno)
            Line Input #Fileno, FLine
            If Left(FLine, 9) = "<projpath" Then
                'get path, i.e. get remainder of line,
                'remove a tab, if any, and/or spaces and the >
                PathList(PLcount) = Trim(Mid(FLine, 11, Len(FLine) - 9 - 2))
                PLcount = PLcount + 1
            End If
        Loop
        Close #Fileno

        If PLcount = 0 Then
            'config file not valid
            ConfigFile.ForeColor = RGB(255, 0, 200)
            ConfigFile.Locked = False
        Else
            'valid config file found and scanned
            ConfigFile.ForeColor = RGB(0, 180, 0)
            TreeView1.Nodes.Clear

            'expand igraph paths and show list
            Set nodX = TreeView1.Nodes.Add(, , "root", "project paths")
            TreeView1.Nodes(nodX.Index).Image = "config"
            PLcurrent = -1
            For i = 0 To PLcount - 1
                'expand paths (isn't there a routine to do this??)
                '(we can handle e.g. $ENV\subdirs and ${ENV}\subdirs)
                If Left(PathList(i), 1) = "$" Then
                    Pos = InStr(PathList(i), "\")
                    If Left(PathList(i), 2) = "${" Then
                        EnvName = Mid(PathList(i), 3, Pos - 4)
                    Else
                        EnvName = Mid(PathList(i), 2, Pos - 2)
                    End If
                    EnvName = Environ(EnvName)
                    PathList(i) = EnvName + Right(PathList(i), Len(PathList(i)) - Pos + 1)
                End If

                Set nodX = TreeView1.Nodes.Add("root", tvwChild, PathList(i), PathList(i))
                TreeView1.Nodes(nodX.Index).Image = "dir"
                nodX.EnsureVisible
            Next

            'create operator list
            For i = 0 To PLcount - 1
                'get first library's hop definition
                FName = Dir(PathList(i) + "\def\*.hop")

                Do While FName <> ""
                    FName = PathList(i) + "\def\" + FName

                    'scan hop file and build and show list
                    'open file
                    Fileno = FreeFile
                    Open FName For Input As #Fileno

                    j = 0
                    Do While Not EOF(Fileno)
                        Line Input #Fileno, FLine
                        If Left(FLine, 8) = "operator" Then
                            'get hop name, i.e. get remainder of line and remove spaces
                            HopList(i, j) = Trim(Mid(FLine, 10))

                            Set nodX = TreeView1.Nodes.Add(PathList(i), tvwChild, , HopList(i, j))
                            TreeView1.Nodes(nodX.Index).Image = "hop"
                            nodX.EnsureVisible

                            j = j + 1
                        End If
                    Loop
                    HopCount(i) = j

                    Close #Fileno

                    'get next library's hop definition, if any
                    FName = Dir
                Loop
            Next


            '*** scan "<igrpath" lines ans build path list
            'open file
            Fileno = FreeFile
            Open ConfigFile.Text For Input As #Fileno

            iPLcount = 0
            Do While Not EOF(Fileno)
                Line Input #Fileno, FLine
                If Left(FLine, 8) = "<igrpath" Then
                    'get path, i.e. get remainder of line,
                    'remove a tab, if any, and/or spaces and the >
                    iPathList(iPLcount) = Trim(Mid(FLine, 10, Len(FLine) - 8 - 2))
                    iPLcount = iPLcount + 1
                End If
            Loop
            Close #Fileno

            If iPLcount = 0 Then
                'config file not valid
                ConfigFile.ForeColor = RGB(200, 0, 255)
                ConfigFile.Locked = False
            Else
                'valid config file found and scanned
                ConfigFile.ForeColor = RGB(0, 180, 0)

                'expand igraph paths and show list
                Set nodX = TreeView1.Nodes.Add("root", tvwNext, "iroot", "igraph paths")
                TreeView1.Nodes(nodX.Index).Image = "config"
                iPLcurrent = -1
                For i = 0 To iPLcount - 1
                    'expand paths (isn't there a routine to do this??)
                    '(we can handle e.g. $ENV\subdirs ${ENV}\subdirs and .\subdirs)
                    If Left(iPathList(i), 1) = "$" Then
                        Pos = InStr(iPathList(i), "\")
                        If Left(iPathList(i), 2) = "${" Then
                            EnvName = Mid(iPathList(i), 3, Pos - 4)
                        Else
                            EnvName = Mid(iPathList(i), 2, Pos - 2)
                        End If
                        EnvName = Environ(EnvName)
                        iPathList(i) = EnvName + Right(iPathList(i), Len(iPathList(i)) - Pos + 1)
                    Else
                        If Left(iPathList(i), 1) = "." Then
                            'oops, how do we expand this without knowing the igraph's path?
                            '=>set flag and expand in File1.Click
                            iPLcurrent = i
                        End If
                    End If

                    Set nodX = TreeView1.Nodes.Add("iroot", tvwChild, , iPathList(i))
                    TreeView1.Nodes(nodX.Index).Image = "dir"
                    nodX.EnsureVisible
                Next

            'done; user may select igraph file now
            File1.Enabled = True

            End If 'iPLCount>0

        End If 'PLcount>0

    End If 'config file exists

    Form1.MousePointer = ccDefault

End Sub

'check if operator OpName is a hop
'if true returns index to PathList(i)/HopList(i, ), -1 otherwise
Function IsHop(ByVal OpName As String) As Integer
Dim i, j

    IsHop = -1
    For i = 0 To PLcount - 1
        For j = 0 To HopCount(i) - 1
            If OpName = HopList(i, j) Then
                IsHop = i
                Exit Function
            End If
        Next
    Next

End Function

Private Sub TreeView1_DblClick()
    TreeView1.ToolTipText = ""
End Sub

Private Sub TreeView1_NodeClick(ByVal Node As ComctlLib.Node)
Dim i
Dim Text As String

    If (Node.Image = "hop") And (CheckPrj.Value = 0) And (CheckInst.Value = 0) Then
        i = IsHop(Node.Text)
        If i >= 0 Then 'display hop's project path
            TreeView1.ToolTipText = PathList(i)
        Else 'hop name not recognized
            TreeView1.ToolTipText = "unknown"
        End If
    Else 'not a hop or path is already displayed in the node text
        TreeView1.ToolTipText = ""
    End If

End Sub
